# QRectF Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QRectF()
- void QRectF(QPointF topleft, QPointF bottomRight)
- void QRectF(QPointF topleft, QSizeF size)
- void QRectF(QRect rect)
- void QRectF(qreal left, qreal top, qreal width, qreal height)

### Constructor Properties

- prototype: The QRectF prototype object

### Prototype Object Properties

- void adjust(qreal x1, qreal y1, qreal x2, qreal y2)
- QRectF adjusted(qreal x1, qreal y1, qreal x2, qreal y2)
- qreal bottom()
- QPointF bottomLeft()
- QPointF bottomRight()
- QPointF center()
- bool contains(QPointF p)
- qreal height()
- QRectF intersected(QRectF other)
- bool intersects(QRectF r)
- bool isEmpty()
- bool isNull()
- bool isValid()
- qreal left()
- void moveBottom(qreal pos)
- void moveBottomLeft(QPointF p)
- void moveBottomRight(QPointF p)
- void moveCenter(QPointF p)
- void moveLeft(qreal pos)
- void moveRight(qreal pos)
- void moveTo(QPointF p)
- void moveTop(qreal pos)
- void moveTopLeft(QPointF p)
- void moveTopRight(QPointF p)
- QRectF normalized()
- bool operator_equal(QRectF arg__2)
- void readFrom(QDataStream arg__1)
- qreal right()
- void setBottom(qreal pos)
- void setBottomLeft(QPointF p)
- void setBottomRight(QPointF p)
- void setCoords(qreal x1, qreal y1, qreal x2, qreal y2)
- void setHeight(qreal h)
- void setLeft(qreal pos)
- void setRect(qreal x, qreal y, qreal w, qreal h)
- void setRight(qreal pos)
- void setSize(QSizeF s)
- void setTop(qreal pos)
- void setTopLeft(QPointF p)
- void setTopRight(QPointF p)
- void setWidth(qreal w)
- void setX(qreal pos)
- void setY(qreal pos)
- QSizeF size()
- QRect toAlignedRect()
- QRect toRect()
- qreal top()
- QPointF topLeft()
- QPointF topRight()
- void translate(QPointF p)
- QRectF translated(QPointF p)
- QRectF united(QRectF other)
- qreal width()
- void writeTo(QDataStream arg__1)
- qreal x()
- qreal y()

### Instance Properties

QRectF objects have no special properties beyond those inherited from the QRectF prototype object.